Unagi Compositing Manager - Enhancement #16

Avoid defining XDG_CONFIG_DIRS when the configuration file is not in /etc/xdg
02/12/2010 06:22 PM - Arnaud Fontaine

Status: Closed Start date: 02/12/2010
Priority: Normal Due date:

Assignee: Arnaud Fontaine % Done: 100%
Category: Core Estimated time: 0.00 hour
Target version: 0.2

Description

When the configuration file is not installed in /etc/xdg (usually it will be installed in /usr/local/etc/xdg), it should not be not necessary
to set XDG_CONFIG_DIRS as it not user-friendly at all.

Associated revisions

Revision 05a9¢358 - 02/15/2010 02:11 PM - Arnaud Fontaine
Look for the configuration file in $sysconfigdir/xdg before calling xdgConfigOpen() (closes #16)

History

#1 - 02/15/2010 02:27 PM - Anonymous
- Status changed from New to Closed

- % Done changed from 0 to 100

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset commit:"f6b4fc632e663da52669dac48c5f2b202faal711".
